# Interface ISynchronizationCompareInput

All Superinterfaces:
  `ICompareInput`

public interface ISynchronizationCompareInput extends ICompareInput
This interface defines extensions to the `ICompareInput` interface that are used for compare inputs that are returned from the `ISynchronizationCompareAdapter.asCompareInput(org.eclipse.team.core.mapping.ISynchronizationContext, Object)` method.

Clients may implement this interface.

Since:
  3.2
See Also:
  - `ISynchronizationCompareAdapter.asCompareInput(org.eclipse.team.core.mapping.ISynchronizationContext, Object)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullPath()`
Return a human readable path for the compare input that can be used in a tooltip or other displays that can show more detailed information.
`SaveableComparison`
`getSaveable()`
Return the saveable for this compare input or `null` if the input is saved directly to disk when the compare editor input is changed or the compare editor is closed.
`boolean`
`isCompareInputFor(Object object)`
Return whether this compare input matches the given object for the purpose of change navigation.
`void`
`prepareInput(CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the compare input associated with a model element for display using the compare configuration.

### Methods inherited from interface ICompareInput

`addCompareInputChangeListener, copy, getAncestor, getImage, getKind, getLeft, getName, getRight, removeCompareInputChangeListener`

## Method Details

### getSaveable

SaveableComparison getSaveable()
Return the saveable for this compare input or `null` if the input is saved directly to disk when the compare editor input is changed or the compare editor is closed.

Returns:
  the saveable for this compare input

### prepareInput

void prepareInput(CompareConfiguration configuration, IProgressMonitor monitor) throws CoreException
Prepare the compare input associated with a model element for display using the compare configuration.

Parameters:
  `configuration` - the compare configuration for the editor that will display the input
  `monitor` - a progress monitor
Throws:
  `CoreException` - if an error occurs

### getFullPath

String getFullPath()
Return a human readable path for the compare input that can be used in a tooltip or other displays that can show more detailed information.

Returns:
  a human readable path for the compare input

### isCompareInputFor

boolean isCompareInputFor(Object object)
Return whether this compare input matches the given object for the purpose of change navigation.

Parameters:
  `object` - the object
Returns:
  whether